package com.bonus.zlpt.equip.service;

import com.bonus.zlpt.equip.api.domain.UserCollect;

import java.util.List;

/**
 * 我的收藏
Service接口
 * 
 * @author xsheng
 * @date 2023-12-02
 */
public interface IUserCollectService 
{
    /**
     * 查询我的收藏

     * 
     * @param id 我的收藏
主键
     * @return 我的收藏

     */
    public UserCollect selectUserCollectById(Long id);

    /**
     * 查询我的收藏
列表
     * 
     * @param userCollect 我的收藏

     * @return 我的收藏
集合
     */
    public List<UserCollect> selectUserCollectList(UserCollect userCollect);

    /**
     * 新增我的收藏

     * 
     * @param userCollect 我的收藏

     * @return 结果
     */
    public int insertUserCollect(UserCollect userCollect);

    /**
     * 修改我的收藏

     * 
     * @param userCollect 我的收藏

     * @return 结果
     */
    public int updateUserCollect(UserCollect userCollect);

    /**
     * 批量删除我的收藏

     * 
     * @param ids 需要删除的我的收藏
主键集合
     * @return 结果
     */
    public int deleteUserCollectByIds(Long[] ids);

    /**
     * 删除我的收藏
信息
     * 
     * @param id 我的收藏
主键
     * @return 结果
     */
    public int deleteUserCollectByMaId(Long id);
}
